<template>
  <div class="icon-locale-container">

    <img class="language-selection-icon" src="/src/assets/icon/global.svg" alt="Language select icon">

  </div>
</template>

<script>
export default {
  name: 'LanguageSelectionIcon',
  props: {
    locale: {
      type: String,
      default: '',
    },
  },
};
</script>

<style lang="scss" scoped>
.icon-locale-container {
  margin: 0;
  position: relative;
}

.language-selection-icon {
  width: 24px;
  -webkit-margin-end: .5rem;
  margin-inline-end: .5rem;
  color: $primary-lighter;
  fill: currentColor;
}

.locale {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -54%);
  color: #fff;
  text-transform: uppercase;
  font-size: 0.75rem;
}
@media only screen and (max-width: $laptop) {
  .language-selection-icon {

    -webkit-margin-end: 0;
    margin-inline-end: 0;
  }
}
</style>
